This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 441409 - fedora-packager-setup.sh wrong URL
fedora-packager-setup.sh wrong URL
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-packager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 17:52 EDT by Jerry James
Modified: 2009-01-09 01:21 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:21:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2008-04-07 17:52:57 EDT
Description of problem:
When the client certificate is missing, fedora-packager-setup.sh says to visit
https://admin.fedoraproject.org/accounts/gen-cert.cgi, which returns an HTTP
404.  The correct URL appears to be
https://admin.fedoraproject.org/accounts/user/gencert.

Version-Release number of selected component (if applicable):
fedora-packager-0.1.1-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Remove ~/.fedora.cert
2. Run fedora-packager-setup.sh
3. Try to visit the printed URL
  
Actual results:
HTTP 404

Expected results:
A web page where the certificate can be obtained

Additional info:
Comment 1 Kyle VanderBeek 2008-05-06 16:01:34 EDT
Eligible for closing.  URL was fixed:

  https://hosted.fedoraproject.org/fedora-packager/changeset/15%3Af5b367c0c92c

Unfortunately, I have fedora-packager-0.1.1-1.fc8 installed as well, and it has
the correct URL.  Perhaps the fedora-packager got a rev without a version bump?
Comment 2 Jerry James 2008-05-06 16:16:40 EDT
According to rpm -q --changelog fedora-packager, version 0.1.1 was released in
Dec 2007.  The changeset identified in comment #1 is dated March 2008, so it
could not possibly be in version 0.1.1.  Kyle, what does "rpm -V
fedora-packager" give you?  I get no output.
Comment 3 Dennis Gilmore 2008-05-06 16:32:51 EDT
I totally missed this bug sorry 

https://admin.fedoraproject.org/updates/F8/FEDORA-2008-2980

its in testing and ive requested that it is pushed to stable.
Comment 4 Bug Zapper 2008-11-26 05:26:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:21:06 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.